Subject: Re: MinGW port usable

From: Johannes Sixt <[email-masked]>
Date: Tue, 30 Jan 2007 21:20:45 +0100

Daniel Barkalow wrote:
> I was actually thinking of only using recv/send on mingw. So the rule
> could be: if git sets up the connection to a pkt_line-user itself, the
> connection is a socket; otherwise it might be a pair of pipes; if you're
> on mingw, pkt_line uses recv/send. Then everything should work except for
> inetd on mingw, and I don't think that's a plausible combination anyway.

Except that it won't work. Because in the same program, say git-fetch-pack,
the packet_*() functions, where you intend to replace read/write by
recv/send, are sometimes called with pipes, and sometimes with sockets,
even on MinGW.

Call it object oriented programming with polymorphic behavior if you like ;)

-- Hannes